Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.Designer.cs	(revision 2795)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.Designer.cs	(revision 2796)
@@ -96,5 +96,5 @@
       this.moveUpButton.Location = new System.Drawing.Point(3, 3);
       this.moveUpButton.Name = "moveUpButton";
-      this.moveUpButton.Size = new System.Drawing.Size(23, 23);
+      this.moveUpButton.Size = new System.Drawing.Size(24, 24);
       this.moveUpButton.TabIndex = 0;
       this.toolTip.SetToolTip(this.moveUpButton, "Move Up");
@@ -106,7 +106,7 @@
       this.moveDownButton.Enabled = false;
       this.moveDownButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.ArrowDown;
-      this.moveDownButton.Location = new System.Drawing.Point(32, 3);
+      this.moveDownButton.Location = new System.Drawing.Point(33, 3);
       this.moveDownButton.Name = "moveDownButton";
-      this.moveDownButton.Size = new System.Drawing.Size(23, 23);
+      this.moveDownButton.Size = new System.Drawing.Size(24, 24);
       this.moveDownButton.TabIndex = 1;
       this.toolTip.SetToolTip(this.moveDownButton, "Move Down");
@@ -124,8 +124,8 @@
       this.itemsListView.HeaderStyle = System.Windows.Forms.ColumnHeaderStyle.None;
       this.itemsListView.HideSelection = false;
-      this.itemsListView.Location = new System.Drawing.Point(3, 32);
+      this.itemsListView.Location = new System.Drawing.Point(3, 33);
       this.itemsListView.Name = "itemsListView";
       this.itemsListView.ShowItemToolTips = true;
-      this.itemsListView.Size = new System.Drawing.Size(194, 287);
+      this.itemsListView.Size = new System.Drawing.Size(194, 286);
       this.itemsListView.SmallImageList = this.imageList;
       this.itemsListView.TabIndex = 2;
@@ -153,5 +153,5 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.detailsGroupBox.Controls.Add(this.viewHost);
-      this.detailsGroupBox.Location = new System.Drawing.Point(3, 26);
+      this.detailsGroupBox.Location = new System.Drawing.Point(3, 27);
       this.detailsGroupBox.Name = "detailsGroupBox";
       this.detailsGroupBox.Size = new System.Drawing.Size(283, 294);
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.Designer.cs	(revision 2795)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.Designer.cs	(revision 2796)
@@ -104,8 +104,8 @@
       this.itemsListView.HeaderStyle = System.Windows.Forms.ColumnHeaderStyle.None;
       this.itemsListView.HideSelection = false;
-      this.itemsListView.Location = new System.Drawing.Point(3, 32);
+      this.itemsListView.Location = new System.Drawing.Point(3, 33);
       this.itemsListView.Name = "itemsListView";
       this.itemsListView.ShowItemToolTips = true;
-      this.itemsListView.Size = new System.Drawing.Size(244, 328);
+      this.itemsListView.Size = new System.Drawing.Size(244, 327);
       this.itemsListView.SmallImageList = this.imageList;
       this.itemsListView.TabIndex = 4;
@@ -131,7 +131,7 @@
       this.sortDescendingButton.Enabled = false;
       this.sortDescendingButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.SortUp;
-      this.sortDescendingButton.Location = new System.Drawing.Point(32, 3);
+      this.sortDescendingButton.Location = new System.Drawing.Point(33, 3);
       this.sortDescendingButton.Name = "sortDescendingButton";
-      this.sortDescendingButton.Size = new System.Drawing.Size(23, 23);
+      this.sortDescendingButton.Size = new System.Drawing.Size(24, 24);
       this.sortDescendingButton.TabIndex = 1;
       this.toolTip.SetToolTip(this.sortDescendingButton, "Sort Descending");
@@ -143,7 +143,7 @@
       this.sortAscendingButton.Enabled = false;
       this.sortAscendingButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Sort;
-      this.sortAscendingButton.Location = new System.Drawing.Point(61, 3);
+      this.sortAscendingButton.Location = new System.Drawing.Point(63, 3);
       this.sortAscendingButton.Name = "sortAscendingButton";
-      this.sortAscendingButton.Size = new System.Drawing.Size(23, 23);
+      this.sortAscendingButton.Size = new System.Drawing.Size(24, 24);
       this.sortAscendingButton.TabIndex = 2;
       this.toolTip.SetToolTip(this.sortAscendingButton, "Sort Ascending");
@@ -155,7 +155,7 @@
       this.removeButton.Enabled = false;
       this.removeButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Remove;
-      this.removeButton.Location = new System.Drawing.Point(90, 3);
+      this.removeButton.Location = new System.Drawing.Point(93, 3);
       this.removeButton.Name = "removeButton";
-      this.removeButton.Size = new System.Drawing.Size(23, 23);
+      this.removeButton.Size = new System.Drawing.Size(24, 24);
       this.removeButton.TabIndex = 3;
       this.toolTip.SetToolTip(this.removeButton, "Remove");
@@ -168,5 +168,5 @@
       this.addButton.Location = new System.Drawing.Point(3, 3);
       this.addButton.Name = "addButton";
-      this.addButton.Size = new System.Drawing.Size(23, 23);
+      this.addButton.Size = new System.Drawing.Size(24, 24);
       this.addButton.TabIndex = 0;
       this.toolTip.SetToolTip(this.addButton, "Add");
@@ -180,5 +180,5 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.detailsGroupBox.Controls.Add(this.viewHost);
-      this.detailsGroupBox.Location = new System.Drawing.Point(3, 26);
+      this.detailsGroupBox.Location = new System.Drawing.Point(3, 27);
       this.detailsGroupBox.Name = "detailsGroupBox";
       this.detailsGroupBox.Size = new System.Drawing.Size(266, 335);
@@ -192,7 +192,7 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
+      this.viewHost.Content = null;
       this.viewHost.Location = new System.Drawing.Point(6, 19);
       this.viewHost.Name = "viewHost";
-      this.viewHost.Content = null;
       this.viewHost.Size = new System.Drawing.Size(254, 310);
       this.viewHost.TabIndex = 0;
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.Designer.cs	(revision 2795)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.Designer.cs	(revision 2796)
@@ -96,7 +96,7 @@
       this.removeButton.Enabled = false;
       this.removeButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Remove;
-      this.removeButton.Location = new System.Drawing.Point(90, 3);
+      this.removeButton.Location = new System.Drawing.Point(93, 3);
       this.removeButton.Name = "removeButton";
-      this.removeButton.Size = new System.Drawing.Size(23, 23);
+      this.removeButton.Size = new System.Drawing.Size(24, 24);
       this.removeButton.TabIndex = 3;
       this.toolTip.SetToolTip(this.removeButton, "Remove");
@@ -108,7 +108,7 @@
       this.moveUpButton.Enabled = false;
       this.moveUpButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.ArrowUp;
-      this.moveUpButton.Location = new System.Drawing.Point(32, 3);
+      this.moveUpButton.Location = new System.Drawing.Point(33, 3);
       this.moveUpButton.Name = "moveUpButton";
-      this.moveUpButton.Size = new System.Drawing.Size(23, 23);
+      this.moveUpButton.Size = new System.Drawing.Size(24, 24);
       this.moveUpButton.TabIndex = 1;
       this.toolTip.SetToolTip(this.moveUpButton, "Move Up");
@@ -120,7 +120,7 @@
       this.moveDownButton.Enabled = false;
       this.moveDownButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.ArrowDown;
-      this.moveDownButton.Location = new System.Drawing.Point(61, 3);
+      this.moveDownButton.Location = new System.Drawing.Point(63, 3);
       this.moveDownButton.Name = "moveDownButton";
-      this.moveDownButton.Size = new System.Drawing.Size(23, 23);
+      this.moveDownButton.Size = new System.Drawing.Size(24, 24);
       this.moveDownButton.TabIndex = 2;
       this.toolTip.SetToolTip(this.moveDownButton, "Move Down");
@@ -138,8 +138,8 @@
       this.itemsListView.HeaderStyle = System.Windows.Forms.ColumnHeaderStyle.None;
       this.itemsListView.HideSelection = false;
-      this.itemsListView.Location = new System.Drawing.Point(3, 32);
+      this.itemsListView.Location = new System.Drawing.Point(3, 33);
       this.itemsListView.Name = "itemsListView";
       this.itemsListView.ShowItemToolTips = true;
-      this.itemsListView.Size = new System.Drawing.Size(194, 287);
+      this.itemsListView.Size = new System.Drawing.Size(194, 286);
       this.itemsListView.SmallImageList = this.imageList;
       this.itemsListView.TabIndex = 4;
@@ -166,5 +166,5 @@
       this.addButton.Location = new System.Drawing.Point(3, 3);
       this.addButton.Name = "addButton";
-      this.addButton.Size = new System.Drawing.Size(23, 23);
+      this.addButton.Size = new System.Drawing.Size(24, 24);
       this.addButton.TabIndex = 0;
       this.toolTip.SetToolTip(this.addButton, "Add");
@@ -178,5 +178,5 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.detailsGroupBox.Controls.Add(this.viewHost);
-      this.detailsGroupBox.Location = new System.Drawing.Point(3, 26);
+      this.detailsGroupBox.Location = new System.Drawing.Point(3, 27);
       this.detailsGroupBox.Name = "detailsGroupBox";
       this.detailsGroupBox.Size = new System.Drawing.Size(283, 294);
@@ -190,7 +190,7 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
+      this.viewHost.Content = null;
       this.viewHost.Location = new System.Drawing.Point(6, 19);
       this.viewHost.Name = "viewHost";
-      this.viewHost.Content = null;
       this.viewHost.Size = new System.Drawing.Size(271, 269);
       this.viewHost.TabIndex = 0;
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorView.Designer.cs	(revision 2796)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorView.Designer.cs	(revision 2796)
@@ -0,0 +1,97 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Core.Views {
+  partial class OperatorView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.parameterCollectionView = new HeuristicLab.Core.Views.ParameterCollectionView();
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
+      this.SuspendLayout();
+      // 
+      // nameTextBox
+      // 
+      this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.errorProvider.SetIconPadding(this.nameTextBox, 2);
+      this.nameTextBox.Size = new System.Drawing.Size(418, 20);
+      // 
+      // descriptionTextBox
+      // 
+      this.descriptionTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.descriptionTextBox.Size = new System.Drawing.Size(418, 87);
+      // 
+      // parameterCollectionView
+      // 
+      this.parameterCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.parameterCollectionView.Caption = "ParameterCollection";
+      this.parameterCollectionView.Location = new System.Drawing.Point(0, 119);
+      this.parameterCollectionView.Name = "parameterCollectionView";
+      this.parameterCollectionView.Size = new System.Drawing.Size(490, 234);
+      this.parameterCollectionView.TabIndex = 4;
+      // 
+      // OperatorView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.parameterCollectionView);
+      this.Name = "OperatorView";
+      this.Size = new System.Drawing.Size(490, 353);
+      this.Controls.SetChildIndex(this.nameTextBox, 0);
+      this.Controls.SetChildIndex(this.nameLabel, 0);
+      this.Controls.SetChildIndex(this.descriptionLabel, 0);
+      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
+      this.Controls.SetChildIndex(this.parameterCollectionView, 0);
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    protected HeuristicLab.Core.Views.ParameterCollectionView parameterCollectionView;
+
+  }
+}
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorView.cs	(revision 2796)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorView.cs	(revision 2796)
@@ -0,0 +1,60 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.MainForm;
+
+namespace HeuristicLab.Core.Views {
+  /// <summary>
+  /// The base class for visual representations of items.
+  /// </summary>
+  [Content(typeof(Operator), true)]
+  [Content(typeof(IOperator), false)]
+  public partial class OperatorView : NamedItemView {
+    public new IOperator Content {
+      get { return (IOperator)base.Content; }
+      set { base.Content = value; }
+    }
+
+    /// <summary>
+    /// Initializes a new instance of <see cref="ItemBaseView"/>.
+    /// </summary>
+    public OperatorView() {
+      InitializeComponent();
+    }
+    /// <summary>
+    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
+    /// </summary>
+    /// <param name="item">The item that should be displayed.</param>
+    public OperatorView(IOperator content)
+      : this() {
+      Content = content;
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content == null) {
+        parameterCollectionView.Content = null;
+      } else {
+        parameterCollectionView.Content = ((IOperator)Content).Parameters;
+      }
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs	(revision 2795)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs	(revision 2796)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.ComponentModel;
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ProblemView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ProblemView.Designer.cs	(revision 2796)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ProblemView.Designer.cs	(revision 2796)
@@ -0,0 +1,99 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Core.Views {
+  partial class ProblemView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.valueParameterCollectionView = new HeuristicLab.Core.Views.ValueParameterCollectionView();
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
+      this.SuspendLayout();
+      // 
+      // nameTextBox
+      // 
+      this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.errorProvider.SetIconPadding(this.nameTextBox, 2);
+      this.nameTextBox.Size = new System.Drawing.Size(418, 20);
+      // 
+      // descriptionTextBox
+      // 
+      this.descriptionTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.descriptionTextBox.Size = new System.Drawing.Size(418, 87);
+      // 
+      // valueParameterCollectionView
+      // 
+      this.valueParameterCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.valueParameterCollectionView.Caption = "ValueParameterCollection";
+      this.valueParameterCollectionView.Content = null;
+      this.valueParameterCollectionView.Location = new System.Drawing.Point(0, 119);
+      this.valueParameterCollectionView.Name = "valueParameterCollectionView";
+      this.valueParameterCollectionView.Size = new System.Drawing.Size(490, 234);
+      this.valueParameterCollectionView.TabIndex = 4;
+      // 
+      // ProblemView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.valueParameterCollectionView);
+      this.Name = "ProblemView";
+      this.Size = new System.Drawing.Size(490, 353);
+      this.Controls.SetChildIndex(this.valueParameterCollectionView, 0);
+      this.Controls.SetChildIndex(this.nameLabel, 0);
+      this.Controls.SetChildIndex(this.descriptionLabel, 0);
+      this.Controls.SetChildIndex(this.nameTextBox, 0);
+      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private ValueParameterCollectionView valueParameterCollectionView;
+
+
+  }
+}
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ProblemView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ProblemView.cs	(revision 2796)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ProblemView.cs	(revision 2796)
@@ -0,0 +1,59 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.MainForm;
+
+namespace HeuristicLab.Core.Views { 
+  /// <summary>
+  /// The base class for visual representations of items.
+  /// </summary>
+  [Content(typeof(Problem), true)]
+  [Content(typeof(IProblem), false)]
+  public partial class ProblemView : NamedItemView {
+    public new IProblem Content {
+      get { return (IProblem)base.Content; }
+      set { base.Content = value; }
+    }
+
+    /// <summary>
+    /// Initializes a new instance of <see cref="ItemBaseView"/>.
+    /// </summary>
+    public ProblemView() {
+      InitializeComponent();
+    }
+    /// <summary>
+    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
+    /// </summary>
+    /// <param name="item">The item that should be displayed.</param>
+    public ProblemView(IProblem content)
+      : this() {
+      Content = content;
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content == null)
+        valueParameterCollectionView.Content = null;
+      else
+        valueParameterCollectionView.Content = ((IProblem)Content).Parameters;
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.Designer.cs	(revision 2796)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.Designer.cs	(revision 2796)
@@ -0,0 +1,33 @@
+﻿namespace HeuristicLab.Core.Views {
+  partial class ValueParameterCollectionView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (createParameterDialog != null) createParameterDialog.Dispose();
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      components = new System.ComponentModel.Container();
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+    }
+
+    #endregion
+  }
+}
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.cs	(revision 2796)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.cs	(revision 2796)
@@ -0,0 +1,72 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.MainForm;
+using HeuristicLab.Collections;
+
+namespace HeuristicLab.Core.Views {
+  [Content(typeof(ValueParameterCollection), true)]
+  [Content(typeof(IObservableKeyedCollection<string, IValueParameter>), false)]
+  public partial class ValueParameterCollectionView : NamedItemCollectionView<IValueParameter> {
+    protected CreateParameterDialog createParameterDialog;
+    /// <summary>
+    /// Initializes a new instance of <see cref="VariablesScopeView"/> with caption "Variables Scope View".
+    /// </summary>
+    public ValueParameterCollectionView() {
+      InitializeComponent();
+      Caption = "ValueParameterCollection";
+      itemsGroupBox.Text = "&Parameters";
+    }
+    /// <summary>
+    /// Initializes a new instance of <see cref="VariablesScopeView"/> with 
+    /// the given <paramref name="scope"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="VariablesScopeView()"/>.</remarks>
+    /// <param name="scope">The scope whose variables should be represented visually.</param>
+    public ValueParameterCollectionView(IObservableKeyedCollection<string, IValueParameter> content)
+      : this() {
+      Content = content;
+    }
+
+    protected override IValueParameter CreateItem() {
+      if (createParameterDialog == null) {
+        createParameterDialog = new CreateParameterDialog();
+        createParameterDialog.ParameterTypeSelector.Configure(typeof(IValueParameter), false, true);
+      }
+
+      if (createParameterDialog.ShowDialog(this) == DialogResult.OK) {
+        IValueParameter param = (IValueParameter)createParameterDialog.Parameter;
+        if (Content.ContainsKey(param.Name))
+          param = (IValueParameter)Activator.CreateInstance(param.GetType(), GetUniqueName(param.Name), param.Description);
+        return param;
+      } else
+        return null;
+    }
+  }
+}
